Update interwikimap of Finnish Wikivoyage
Closed, ResolvedPublic

Description

Currently interwikilinks in the left panel on the Finnish Wikivoyage goes to Wikipedia, when they should, of course go to Wikivoyage. See https://fi.wikivoyage.org/w/api.php?action=query&meta=siteinfo&siprop=interwikimap

Stryn created this task.Dec 2 2016, 12:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 2 2016, 12:23 PM
TTO assigned this task to Krenair.Dec 2 2016, 12:25 PM
TTO added a project: Wikimedia-Interwiki-links.
TTO claimed this task.
TTO edited subscribers, added: TTO; removed: MediaWiki-Interwiki.
TTO added a subscriber: Krenair.

This is a newly created wiki so I'm guessing the interwiki map just needs to be regenerated...

TTO reassigned this task from TTO to Krenair.Dec 2 2016, 12:26 PM

Change 324918 had a related patch set uploaded (by Aude):
Update interwiki map for fiwikivoyage

https://gerrit.wikimedia.org/r/324918

Koavf added a comment.Dec 2 2016, 4:01 PM

Thanks, Stryn. As you can see above, these links are not all going to fi.wp but are redlinks on fi.voy. Not sure why/how that happened. Also, when it got imported, old Wikitravel links were just renamed to "https://wikimaktat.org/fi/foo" rather than "https://fi.wikivoyage.org/wiki/foo" but we are cleaning up that. I am using AWB to get rid of interwiki language links, including "wts:", which goes to the shared repository on Wikitravel.

Acer added a subscriber: Acer.Dec 2 2016, 4:05 PM
Koavf added a comment.EditedDec 2 2016, 4:29 PM

Oh wow. The interwiki links *provided by Wikidata* are pointing to language editions of Wikipedia. See, e.g. https://fi.wikivoyage.org/wiki/Adana

So there are two distinct problems here--not sure if they should be merged but either way, both the problem that Stryn mentioned and mine need to be resolved.

hoo added a subscriber: hoo.Dec 3 2016, 4:43 PM

Oh wow. The interwiki links *provided by Wikidata* are pointing to language editions of Wikipedia. See, e.g. https://fi.wikivoyage.org/wiki/Adana

So there are two distinct problems here--not sure if they should be merged but either way, both the problem that Stryn mentioned and mine need to be resolved.

We use the interwiki map for these internally, so this is the same issue.

Change 324918 merged by jenkins-bot:
Update interwiki map for fiwikivoyage

https://gerrit.wikimedia.org/r/324918

Mentioned in SAL (#wikimedia-operations) [2016-12-05T14:11:41Z] <hashar@tin> Synchronized wmf-config/interwiki.php: Update interwiki map for fiwikivoyage - T152201 (duration: 00m 46s)

Krenair reassigned this task from Krenair to aude.Dec 7 2016, 8:40 PM
Krenair closed this task as Resolved.